cURL
curl --request POST \
--url https://api.juo.io/admin/v1/customers/{customerId}/payment-methods \
--header 'Content-Type: application/json' \
--header 'X-Juo-Admin-Api-Key: <api-key>' \
--header 'X-Tenant-ID: <x-tenant-id>' \
--data '
{
"provider": "bogus"
}
'import requests
url = "https://api.juo.io/admin/v1/customers/{customerId}/payment-methods"
payload = { "provider": "bogus" }
headers = {
"X-Tenant-ID": "<x-tenant-id>",
"X-Juo-Admin-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant-ID': '<x-tenant-id>',
'X-Juo-Admin-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({provider: 'bogus'})
};
fetch('https://api.juo.io/admin/v1/customers/{customerId}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": "7654321",
"instrument": {
"type": "credit-card",
"brand": "<string>",
"maskedNumber": "<string>"
}
}Customers
Add a payment method
Used to add a payment method to a customer.
POST
/
customers
/
{customerId}
/
payment-methods
cURL
Authorizations
AdminApiKeyBearerToken
Long-lived Admin API key issued from the Juo merchant portal. Pass as the X-Juo-Admin-Api-Key header.
Headers
Unique identifier of the tenant in the system (usually a store identifier)
Path Parameters
The customer identifier
Minimum string length:
1Body
application/json
- Option 1
- Option 2
Available options:
bogus Response
Default Response
Customer id when not expanded, or the full Customer object when the field name is included in the expand query parameter.
Minimum string length:
1Example:
"7654321"
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
⌘I